Bug 430813 - Danish account templates won't load
Summary: Danish account templates won't load
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: importer (show other bugs)
Version: 5.1.1
Platform: Other Other
: NOR normal (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-25 22:19 UTC by Dawid Wróbel
Modified: 2021-02-26 19:32 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.5,5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dawid Wróbel 2020-12-25 22:19:17 UTC
SUMMARY
Danish templates do not show up on the list of all available in File -> Import > Account Template.


OBSERVED RESULT
"templates/dk not scanned" warning when running in Debug mode.
Comment 1 Dawid Wróbel 2020-12-25 22:22:49 UTC
Git commit 8607e81a7a0d31c2c399bdeb57cc485f51428fcb by Dawid Wróbel.
Committed on 25/12/2020 at 22:22.
Pushed by wrobelda into branch 'master'.

Fix Danish account templates not loading

ISO 639-1 symbol for Danish is "da", not "dk"

R  +0    -0    kmymoney/templates/da/car.kmt [from: kmymoney/templates/dk/car.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/common.kmt [from: kmymoney/templates/dk/common.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeloan.kmt [from: kmymoney/templates/dk/homeloan.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeown.kmt [from: kmymoney/templates/dk/homeown.kmt - 100% similarity]

https://invent.kde.org/office/kmymoney/commit/8607e81a7a0d31c2c399bdeb57cc485f51428fcb
Comment 2 Dawid Wróbel 2020-12-25 22:24:47 UTC
Git commit c5119b0e33f2478e08c3cbcb18a56838c9dc936b by Dawid Wrobel, on behalf of Dawid Wróbel.
Committed on 25/12/2020 at 22:24.
Pushed by wrobelda into branch '5.1'.

Fix Danish account templates not loading

ISO 639-1 symbol for Danish is "da", not "dk"


(cherry picked from commit 8607e81a7a0d31c2c399bdeb57cc485f51428fcb)

R  +0    -0    kmymoney/templates/da/car.kmt [from: kmymoney/templates/dk/car.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/common.kmt [from: kmymoney/templates/dk/common.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeloan.kmt [from: kmymoney/templates/dk/homeloan.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeown.kmt [from: kmymoney/templates/dk/homeown.kmt - 100% similarity]

https://invent.kde.org/office/kmymoney/commit/c5119b0e33f2478e08c3cbcb18a56838c9dc936b
Comment 3 Ralf Habacker 2020-12-29 12:17:36 UTC
Git commit 45c18dbdc9899e0339939a3653715e7fbb8d3b7c by Ralf Habacker, on behalf of Dawid Wróbel.
Committed on 29/12/2020 at 12:17.
Pushed by habacker into branch '4.8'.

Fix Danish account templates not loading

ISO 639-1 symbol for Danish is "da", not "dk"
FIXED-IN:4.8.5
FIXED-IN:5.1.2

(cherry picked from commit 8607e81a7a0d31c2c399bdeb57cc485f51428fcb)
(cherry picked from commit c5119b0e33f2478e08c3cbcb18a56838c9dc936b)

R  +0    -0    kmymoney/templates/da/car.kmt [from: kmymoney/templates/dk/car.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/common.kmt [from: kmymoney/templates/dk/common.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeloan.kmt [from: kmymoney/templates/dk/homeloan.kmt - 100% similarity]
R  +0    -0    kmymoney/templates/da/homeown.kmt [from: kmymoney/templates/dk/homeown.kmt - 100% similarity]

https://invent.kde.org/office/kmymoney/commit/45c18dbdc9899e0339939a3653715e7fbb8d3b7c
Comment 4 Ralf Habacker 2021-02-26 19:32:03 UTC
Git commit 4c5fe0500da350dcfda4b02dff8c92ccfdfedcef by Ralf Habacker.
Committed on 26/02/2021 at 19:31.
Pushed by habacker into branch '4.8'.

Complete fix for renaming danish templates directory

Fixup for commit 45c18dbdc.

M  +1    -1    kmymoney/templates/CMakeLists.txt

https://invent.kde.org/office/kmymoney/commit/4c5fe0500da350dcfda4b02dff8c92ccfdfedcef